[Cubicweb] Cannot install cubicweb-addressbook on Ubuntu 13.10

Dimitri Papadopoulos Orfanos dimitri.papadopoulos at cea.fr
Thu Dec 5 07:12:19 CET 2013


Le 25/11/2013 15:41, Yann Cointepas a écrit :
> I tried to install many cubicweb-* packages on a freshly installed
> Ubuntu 13.10. I had several dependencies issues and at least one seems
> to be an error :
>[...]
> The following packages have unmet dependencies:
>   cubicweb-addressbook : Depends: cubicweb-geocoding but it is not
> installable
> [...]

Yann,

If you compare the following two directories you'll see that there are 
less packages available for Ubuntu 13.10:
	http://download.logilab.org/production/saucy/
	http://download.logilab.org/production/precise/
Indeed cubicweb-addressbook is available which makes no sense because 
cubicweb-geocoding is missing.

I had already asked Logilab to fully support more Ubuntu distributions. 
It would be good if Logilab could for example provide packages:
* for the two latest Ubuntu LTS versions,
* the two latest Ubuntu versions.

We had similar problems while transitioning from Ubuntu 10.04 to 12.04. 
Logilab and ourselves had not shifted Ubuntu versions at the time and 
some packages were missing. I am afraid we might see these problems 
again when 14.04 is released since we usually need almost a year to 
deploy a new LTS version on our workstations - Logilab tend to shift to 
a new version faster.

For now I think it is best to stick to Ubuntu 12.04 to benefit from 
packaged cubes.

-- 
Dimitri Papadopoulos
CEA/Saclay
I2BM, NeuroSpin
91191 Gif-sur-Yvette cedex, France



More information about the Cubicweb mailing list